package com.fxcm.breakout.strategy.fc.priceRetriever;

import java.util.Comparator;
import java.util.Date;

public class Candlestick{

	private Date date;
	private double open;
	private double low;
	private double high;
	private double closeBid;
	private double closeAsk;
	private double donchianChannel;
	private double volume;
	
	
	public Candlestick(Date date, double open, double low, double high, double closeBid, double closeAsk,
			double volume) {
		super();
		this.date = date;
		this.open = open;
		this.low = low;
		this.high = high;
		this.closeBid = closeBid;
		this.closeAsk = closeAsk;
		this.volume = volume;
	}
	public Candlestick(Date date, double open, double low, double high, double closeBid, double closeAsk,
			double donchianChannel, double volume) {
		super();
		this.date = date;
		this.open = open;
		this.low = low;
		this.high = high;
		this.closeBid = closeBid;
		this.closeAsk = closeAsk;
		this.donchianChannel = donchianChannel;
		this.volume = volume;
	}
	public Date getDate() {
		return date;
	}
	public void setDate(Date date) {
		this.date = date;
	}
	public double getOpen() {
		return open;
	}
	public void setOpen(double open) {
		this.open = open;
	}
	public double getLow() {
		return low;
	}
	public void setLow(double low) {
		this.low = low;
	}
	public double getHigh() {
		return high;
	}
	public void setHigh(double high) {
		this.high = high;
	}
	public double getCloseBid() {
		return closeBid;
	}
	public void setCloseBid(double closeBid) {
		this.closeBid = closeBid;
	}
	public double getCloseAsk() {
		return closeAsk;
	}
	public void setCloseAsk(double closeAsk) {
		this.closeAsk = closeAsk;
	}
	public double getDonchianChannel() {
		return donchianChannel;
	}
	public void setDonchianChannel(double donchianChannel) {
		this.donchianChannel = donchianChannel;
	}
	public double getVolume() {
		return volume;
	}
	public void setVolume(double volume) {
		this.volume = volume;
	}
}